package intrinsic.flash.events;

public class SyncEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public intrinsic.Array changeList;

	/** Variables */

	/** Constants */
	public static final String SYNC = "sync";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SyncEvent() {
}

public SyncEvent(String arg0) {
}

public SyncEvent(String arg0, boolean arg1) {
}

public SyncEvent(String arg0, boolean arg1, boolean arg2) {
}

public SyncEvent(String arg0, boolean arg1, boolean arg2, intrinsic.Array arg3) {
}


/** Static Methods */

/** Methods */
public native String toString();
public native Object clone();

}
